hal trouble

Olaf Grüttner olaf.gruettner at web.de
Mon Aug 6 12:35:54 PDT 2007


> > > hal-0.5.9.1 needs newer kernel headers. Either keep using old hal or
> > > update your glibc/kernel headers.
> > >
> >
> > > SW_MAX is defined in /usr/include/linux/input.h on newer kernel headers.
> > >
> > > --
> > > Dan
> >
> > where can I find new kernel headers? Most recent I found was 2.6.12.0
> > which I have installed.
> > In the recent lfs-instructions I found mentioning of 2.6.22.1. but I
> > haven't found a download link. Or are the most recent kernel headers now
> > packed with a recent kernel?
> 
> They come from the kernel now. But please keep in mind that updating
> the kernel headers without glibc is a bad idea.
> 
> --
> Dan

does this work?

* download recent kernel,
* install kernel headers
* install glibc 
* install kernel

does everything work as expected or do I have to reinstall all programs
again so they take into effect the new glibc program and headers?

Olaf




More information about the blfs-support mailing list